package benefactorhandler

import (
	benefactorauthservice "git.gocasts.ir/ebhomengo/niki/service/auth/benefactor"
	benefactorservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/benefactor"
	benefactorvalidator "git.gocasts.ir/ebhomengo/niki/validator/benefactor/benefactor"
)

type Handler struct {
	authConfig    benefactorauthservice.Config
	benefactorSvc benefactorservice.Service
	benefactorVld benefactorvalidator.Validator
}

func New(authConfig benefactorauthservice.Config,
	benefactorSvc benefactorservice.Service,
	benefactorVld benefactorvalidator.Validator,
) Handler {
	return Handler{
		authConfig:    authConfig,
		benefactorSvc: benefactorSvc,
		benefactorVld: benefactorVld,
	}
}
